Bug 1411705 - allowed_hosts doesn't work, if one of the hostnames can't be resolved by dns
Summary: allowed_hosts doesn't work, if one of the hostnames can't be resolved by dns
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nrpe
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 11:06 UTC by Fredrik Mikker
Modified: 2017-07-07 22:55 UTC (History)
8 users (show)

Fixed In Version: nrpe-3.1.1-1.fc24 nrpe-3.1.1-1.fc25 nrpe-3.1.1-1.el6 nrpe-3.1.1-1.el7 nrpe-3.1.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 00:20:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/NagiosEnterprises nrpe issues 56 None None None 2017-01-10 11:06:08 UTC

Description Fredrik Mikker 2017-01-10 11:06:08 UTC
Description of problem: When using hostnames in the configuration option "allowed_hosts" and one (in this case the first) hostname is removed from DNS, the agent will refuse connections from all nodes listed after the first one, that failed to resolve.


Version-Release number of selected component (if applicable): nrpe-2.15-7


How reproducible: Often


Steps to Reproduce:
1. Configure the "allowed_hosts" directive to use multiple hostnames
2. Restart the agent
3. Remove the first hostname from DNS so it isn't possible to resolve.

Actual results: The second hostname defined in allowed_hosts is refused by the agent since it can't lookup the first one.


Expected results: Normal operations, the agent can lookup the second directive in allowed_hosts.


Additional info: This issue has been fixed in version 3.0 and 3.0.1 upstream by John Frickson :
Changelog: https://github.com/NagiosEnterprises/nrpe/blob/3.0.1/Changelog
Commit: https://github.com/NagiosEnterprises/nrpe/commit/4e52e17aaf1fecf0a2a95dd30d015333d618b30c

The 3.0 update also fixes numerous other issues that would be valuable to get in the EPEL release, a selection from the changelog:

- allowed_hosts doesn't work with a hostname resolving to an IPv6 address (John Frickson)
- check_nrpe does not parse passed arguments correctly (John Frickson)
- NRPE should not start if cannot write pid file (John Frickson)
- Fixed out-of-bounds error (return code 255) for some failures (John Frickson)

Improved security:
- Reworked SSL/TLS. See the README.SSL.md file for full info. (John Frickson) https://github.com/NagiosEnterprises/nrpe/blob/3.0.1/README.SSL.md

Comment 1 Fedora Update System 2017-02-07 20:16:49 UTC
nrpe-3.0.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b64fc8eec9

Comment 2 Fredrik Mikker 2017-02-09 10:58:23 UTC
Added feedback in the build system of issues that I have found: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b64fc8eec9

Comment 3 Fedora Update System 2017-02-09 23:16:51 UTC
nrpe-3.0.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b64fc8eec9

Comment 4 Fedora Update System 2017-03-03 22:21:27 UTC
nrpe-3.0.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16f636413b

Comment 5 Fedora Update System 2017-03-03 22:39:16 UTC
nrpe-3.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7d833d4735

Comment 6 Fedora Update System 2017-03-05 03:18:28 UTC
nrpe-3.0.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16f636413b

Comment 7 Fedora Update System 2017-03-05 03:20:01 UTC
nrpe-3.0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7d833d4735

Comment 8 Fedora Update System 2017-04-20 23:05:12 UTC
nrpe-3.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4b4962389a

Comment 9 Fedora Update System 2017-04-20 23:06:47 UTC
nrpe-3.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6efc362080

Comment 10 Fedora Update System 2017-04-22 21:48:01 UTC
nrpe-3.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6efc362080

Comment 11 Fedora Update System 2017-04-27 21:17:48 UTC
nrpe-3.1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d67b84547b

Comment 12 Fedora Update System 2017-04-27 21:20:12 UTC
nrpe-3.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c0b443f54

Comment 13 Fedora Update System 2017-05-04 22:49:01 UTC
nrpe-3.1.0-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-928f1e8448

Comment 14 Fedora Update System 2017-05-05 19:18:15 UTC
nrpe-3.1.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-928f1e8448

Comment 15 Fedora Update System 2017-06-14 23:43:14 UTC
nrpe-3.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69

Comment 16 Fedora Update System 2017-06-15 00:03:17 UTC
nrpe-3.1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1

Comment 17 Fedora Update System 2017-06-15 00:37:17 UTC
nrpe-3.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8

Comment 18 Fedora Update System 2017-06-15 00:47:32 UTC
nrpe-3.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 19 Fedora Update System 2017-06-15 01:02:45 UTC
nrpe-3.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 20 Fedora Update System 2017-06-15 09:48:32 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 21 Fedora Update System 2017-06-15 09:48:37 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 22 Fedora Update System 2017-06-15 10:57:50 UTC
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8

Comment 23 Fedora Update System 2017-06-15 10:59:47 UTC
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1

Comment 24 Fedora Update System 2017-06-15 14:01:52 UTC
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69

Comment 25 Fedora Update System 2017-07-04 00:20:01 UTC
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-07-04 01:51:13 UTC
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-07-04 04:17:45 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-07-04 04:19:57 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-07-07 22:55:42 UTC
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.